<div [formGroup]="form">
  <fieldset [disabled]="showEditButton">
    <div class="form-row">
      <div class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-8 text-danger">CTN</label>
        <div class="col-24 col-lg-16 pl-0 pl-lg-3">
          <input type="text" class="form-control form-control-sm" formControlName="ctn" />
        </div>
      </div>
      <div class="form-group form-group-sm row col-24 col-lg-12">
      </div>
    </div>

    <div class="form-row">
      <div class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-8  text-danger">Product Type</label>
        <div class="col-24 col-lg-16 pl-0 pl-lg-3">
          <dx-select-box [items]="productTypes" name="productType" placeholder="Search Product Type"
                         displayExpr="prodTypeDes" valueExpr="prodTypeId" searchMode="startswith"
                         [searchEnabled]="true" [searchExpr]="['prodTypeDes']"
                         formControlName="productType" required></dx-select-box>
          <app-form-control-validation [control]="form.controls.productType" [sourceName]="'Product Type'"></app-form-control-validation>
        </div>
      </div>
      <div class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-8  text-danger">Order Type</label>
        <div class="col-24 col-lg-16 pl-0 pl-lg-3">
          <dx-select-box [items]="orderTypes" name="orderType" placeholder="Search Order Type"
                         displayExpr="ordrTypeDes" valueExpr="ordrTypeId" searchMode="startswith"
                         [searchEnabled]="true" [searchExpr]="['ordrTypeDes']"
                         formControlName="orderType" required></dx-select-box>
          <app-form-control-validation [control]="form.controls.orderType" [sourceName]="'Order Type'"></app-form-control-validation>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-8  text-danger">Vendor Name</label>
        <div class="col-24 col-lg-16 pl-0 pl-lg-3">
          <dx-select-box [items]="vendors" name="vendorName" placeholder="Vendor Name"
                         displayExpr="vndrNme" valueExpr="vndrCd" searchMode="startswith"
                         [searchEnabled]="true" [searchExpr]="['vndrNme']"
                         formControlName="vendorName" required></dx-select-box>
          <app-form-control-validation [control]="form.controls.vendorName" [sourceName]="'Vendor Name'"></app-form-control-validation>
        </div>
      </div>
      <div class="form-group form-group-sm row col-24 col-lg-12">

      </div>
    </div>
    <div class="form-row">
      <div class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-8  text-danger">CWD</label>
        <div class="col-24 col-lg-16 pl-0 pl-lg-3">
          <dx-date-box type="date"
                       [acceptCustomValue]="false"
                       displayFormat="MM/dd/yyyy"
                       width="100%"
                       placeholder=""
                       [useMaskBehavior]="true"
                       formControlName="cwd">
          </dx-date-box>
          <app-form-control-validation [control]="form.controls.cwd" [sourceName]="'CWD'"></app-form-control-validation>
        </div>
      </div>
      <div class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-8  text-danger">CCD</label>
        <div class="col-24 col-lg-16 pl-0 pl-lg-3">
          <dx-date-box type="date"
                       [acceptCustomValue]="false"
                       displayFormat="MM/dd/yyyy"
                       width="100%"
                       placeholder=""
                       [useMaskBehavior]="true"
                       formControlName="ccd">
          </dx-date-box>
          <app-form-control-validation [control]="form.controls.ccd" [sourceName]="'CCD'"></app-form-control-validation>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-8 text-danger">Customer Name</label>
        <div class="col-24 col-lg-16 pl-0 pl-lg-3">
          <input type="text" class="form-control form-control-sm" formControlName="custName" maxlength="1000" minlength="2" required />
          <app-form-control-validation [control]="form.controls.custName" [sourceName]="'Customer Name'"></app-form-control-validation>
        </div>
      </div>
      <div class="form-group form-group-sm row col-24 col-lg-12">
      </div>
    </div>
    <div class="form-row">
      <div class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-8  text-danger">H6 Account Number</label>
        <div class="col-24 col-lg-16 pl-0 pl-lg-3">
          <input type="text" id="numbersonly" class="form-control form-control-sm" numbersOnly formControlName="h5AccountNumber" minlength="9" maxlength="9" required />
          <app-form-control-validation [control]="form.controls.h5AccountNumber" [sourceName]="'H5 Account Number'" [customMessageObj]="customH5Message"></app-form-control-validation>
        </div>
      </div>
      <div class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-8">2 Site City</label>
        <div class="col-24 col-lg-16 pl-0 pl-lg-3">
          <input type="text" class="form-control form-control-sm" formControlName="sitCity" />
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-8  text-danger">Site Country</label>
        <div class="col-24 col-lg-16 pl-0 pl-lg-3">
          <dx-select-box [items]="countries" name="sitCountry" placeholder="Site Country"
                         displayExpr="ctryNme" valueExpr="ctryCd" searchMode="startswith"
                         [searchEnabled]="true" [searchExpr]="['ctryNme']"
                         formControlName="sitCountry" required></dx-select-box>
          <app-form-control-validation [control]="form.controls.sitCountry" [sourceName]="'Site Country'"></app-form-control-validation>
        </div>
      </div>
      <div class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-8">SOL</label>
        <div class="col-24 col-lg-16 pl-0 pl-lg-3">
          <input type="text" class="form-control form-control-sm" formControlName="sol" />
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-8">OE</label>
        <div class="col-24 col-lg-16 pl-0 pl-lg-3">
          <input type="text" class="form-control form-control-sm" formControlName="oe" />
        </div>
      </div>
      <div class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-8">Private Line Number</label>
        <div class="col-24 col-lg-16 pl-0 pl-lg-3">
          <input type="text" class="form-control form-control-sm" formControlName="privateLineNumber" />
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-8">SOTS Number</label>
        <div class="col-24 col-lg-16 pl-0 pl-lg-3">
          <input type="text" class="form-control form-control-sm" formControlName="sotsNumber" />
        </div>
      </div>
      <div class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-8  text-danger">Order sent by Lassie</label>
        <div class="col-24 col-lg-16 pl-0 pl-lg-3">
          <dx-select-box [items]="lassies" name="lassie" placeholder="Order sent by Lassie"
                         displayExpr="description" valueExpr="value" searchMode="startswith"
                         [searchEnabled]="true" [searchExpr]="['description']"
                         formControlName="ordrSentLassie" required></dx-select-box>
          <app-form-control-validation [control]="form.controls.ordrSentLassie" [sourceName]="'Order sent by Lassie'"></app-form-control-validation>
        </div>
      </div>
    </div>

    <div class="form-row">
      <div class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-8">Bill Cycle Number</label>
        <div class="col-24 col-lg-16 pl-0 pl-lg-3">
          <input type="text" class="form-control form-control-sm" formControlName="billCycleNumber" />
        </div>
      </div>
      <div class="form-group form-group-sm row col-24 col-lg-12">
      </div>
    </div>


    <div class="form-row">
      <div class="form-group form-group-sm row col-24">
        <label class="col-form-label col-24 col-lg-4">Email Notification</label>
        <div class="col-24 col-lg-20 pl-0 pl-lg-3">
          <textarea class="form-control form-control-sm" formControlName="emailNotification" rows="5" maxlength="500"></textarea>
          <app-form-control-validation [control]="form.controls.emailNotification" [sourceName]="'Email Notification'"></app-form-control-validation>
          <span> use semicolon to separate email addresses! </span>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group form-group-sm row col-24">
        <label class="col-form-label col-24 col-lg-4  text-danger">Comments</label>
        <div class="col-24 col-lg-20 pl-0 pl-lg-3">
          <textarea class="form-control form-control-sm" formControlName="comment" placeholder="" rows="5" maxlength="500" required></textarea>
          <span>{{ commentCharRemaining }} character(s) left!</span>
          <app-form-control-validation [control]="form.controls.comment" [sourceName]="'Comments'"></app-form-control-validation>
        </div>
      </div>
    </div>
  </fieldset>
</div>
